net.corda.core.contracts

## Enum DateRollConvention

-     public enum DateRollConvention

  This reflects what happens if a date on which a business event is supposed to happen actually falls upon a non-working day. Depending on the accounting requirement, we can move forward until we get to a business day, or backwards. There are some additional rules which are explained in the individual cases below.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DateRollConvention.Actual` Don't roll the date, use the one supplied.
    `static class` | `DateRollConvention.Following` Following is the next business date from this one.
    `static class` | `DateRollConvention.ModifiedFollowing` "Modified following" is the next business date, unless it's in the next month, in which case use the preceeding business date.
    `static class` | `DateRollConvention.ModifiedPrevious` Modified previous is the previous business date, unless it's in the previous month, in which case use the next business date.
    `static class` | `DateRollConvention.Previous` Previous is the previous business date from this one.

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Actual` Don't roll the date, use the one supplied.
    `Following` Following is the next business date from this one.
    `ModifiedFollowing` "Modified following" is the next business date, unless it's in the next month, in which case use the preceeding business date.
    `ModifiedPrevious` Modified previous is the previous business date, unless it's in the previous month, in which case use the next business date.
    `Previous` Previous is the previous business date from this one.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DateRollDirection` | `direction()`
    `boolean` | `isModified()`

- - ### Enum Constant Detail

    - #### Actual

          public static DateRollConvention Actual

      Don't roll the date, use the one supplied.

    - #### Following

          public static DateRollConvention Following

      Following is the next business date from this one.

    - #### ModifiedFollowing

          public static DateRollConvention ModifiedFollowing

      "Modified following" is the next business date, unless it's in the next month, in which case use the preceeding business date.

    - #### Previous

          public static DateRollConvention Previous

      Previous is the previous business date from this one.

    - #### ModifiedPrevious

          public static DateRollConvention ModifiedPrevious

      Modified previous is the previous business date, unless it's in the previous month, in which case use the next business date.

  - ### Method Detail

    - #### direction

          public DateRollDirection direction()

    - #### isModified

          public boolean isModified()